"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("../constants");
const event_base_1 = require("./event_base");
/**
 * Describes a BPMN StartEvent.
 */
class StartEvent extends event_base_1.Event {
    get bpmnType() {
        return constants_1.BpmnType.startEvent;
    }
    get eventType() {
        const eventIsMessageEvent = this.messageEventDefinition !== undefined;
        if (eventIsMessageEvent) {
            return constants_1.EventType.messageEvent;
        }
        const eventIsSignalEvent = this.signalEventDefinition !== undefined;
        if (eventIsSignalEvent) {
            return constants_1.EventType.signalEvent;
        }
        const eventIsTimerEvent = this.timerEventDefinition !== undefined;
        if (eventIsTimerEvent) {
            return constants_1.EventType.timerEvent;
        }
        return undefined;
    }
}
exports.StartEvent = StartEvent;
//# sourceMappingURL=start_event.js.map